org.eclipse.viatra.integration.uml.derivedfeatures

## Class DeploymentTargetDeployedElementMatcher

- java.lang.Object
- - org.eclipse.viatra.query.runtime.internal.apiimpl.QueryResultWrapper
  - - org.eclipse.viatra.query.runtime.api.impl.BaseMatcher<DeploymentTargetDeployedElementMatch>
    - - org.eclipse.viatra.integration.uml.derivedfeatures.DeploymentTargetDeployedElementMatcher

- All Implemented Interfaces:
    ViatraQueryMatcher<DeploymentTargetDeployedElementMatch>

      public class DeploymentTargetDeployedElementMatcher
      extends BaseMatcher<DeploymentTargetDeployedElementMatch>

  Generated pattern matcher API of the org.eclipse.viatra.integration.uml.derivedfeatures.deploymentTargetDeployedElement pattern, providing pattern-specific query methods.

  Use the pattern matcher on a given model via `on(ViatraQueryEngine)`, e.g. in conjunction with `ViatraQueryEngine#on(Notifier)`.

  Matches of the pattern will be represented as `DeploymentTargetDeployedElementMatch`.

  Original source: ``

       (if connector.type = null
       then
         null
       else
         let index : Integer = connector.end- >indexOf(self) in
           connector.type.memberEnd- >at(index)
       endif)

       // Can't compile OCL to VIATRA Query because of org.eclipse.ocl.SemanticException: Unrecognized variable: (connector)
       // @Surrogate(feature = "definingEnd")
       // @QueryExplorer(checked = false)
       //pattern connectorEndDefiningEnd(source: ConnectorEnd, target: Property) {}

       (deployment.deployedArtifact- >select(oclIsKindOf(Artifact))- >collect(oclAsType(Artifact).manifestation)- >collect(utilizedElement)- >asSet())

        @Surrogate(feature = "deployedElement")
        @QueryExplorer(checked = false)
       pattern deploymentTargetDeployedElement(
           self : DeploymentTarget,
           packageableElement : PackageableElement
       ) {
           Artifact(artifact);
           temp2 == artifact;
           DeploymentTarget.deployment(self, deployment);
           temp1 == deployment;
           Deployment.deployedArtifact(temp1, deployedArtifact);
           temp2 == deployedArtifact;
           temp3 == temp2;
           Artifact.manifestation(temp3, manifestation);
           temp4 == manifestation;
           Manifestation.utilizedElement(temp4, packageableElement);
       }

  See Also:
    `DeploymentTargetDeployedElementMatch`, `DeploymentTargetDeployedElementProcessor`, `DeploymentTargetDeployedElementQuerySpecification`

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseMatcher

      `engine, querySpecification`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.internal.apiimpl.QueryResultWrapper

      `backend`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DeploymentTargetDeployedElementMatch` | `arrayToMatch(java.lang.Object[] match)` Converts the array representation of a pattern match to an immutable Match object.
    `protected DeploymentTargetDeployedElementMatch` | `arrayToMatchMutable(java.lang.Object[] match)` Converts the array representation of a pattern match to a mutable Match object.
    `int` | `countMatches(org.eclipse.uml2.uml.DeploymentTarget pSelf, org.eclipse.uml2.uml.PackageableElement pPackageableElement)` Returns the number of all matches of the pattern that conform to the given fixed values of some parameters.
    `static DeploymentTargetDeployedElementMatcher` | `create()`
    `void` | `forEachMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf, org.eclipse.uml2.uml.PackageableElement pPackageableElement, IMatchProcessor<? super DeploymentTargetDeployedElementMatch> processor)` Executes the given processor on each match of the pattern that conforms to the given fixed values of some parameters.
    `boolean` | `forOneArbitraryMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf, org.eclipse.uml2.uml.PackageableElement pPackageableElement, IMatchProcessor<? super DeploymentTargetDeployedElementMatch> processor)` Executes the given processor on an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.
    `java.util.Collection<DeploymentTargetDeployedElementMatch>` | `getAllMatches(org.eclipse.uml2.uml.DeploymentTarget pSelf, org.eclipse.uml2.uml.PackageableElement pPackageableElement)` Returns the set of all matches of the pattern that conform to the given fixed values of some parameters.
    `java.util.Set<org.eclipse.uml2.uml.PackageableElement>` | `getAllValuesOfpackageableElement()` Retrieve the set of values that occur in matches for packageableElement.
    `java.util.Set<org.eclipse.uml2.uml.PackageableElement>` | `getAllValuesOfpackageableElement(org.eclipse.uml2.uml.DeploymentTarget pSelf)` Retrieve the set of values that occur in matches for packageableElement.
    `java.util.Set<org.eclipse.uml2.uml.PackageableElement>` | `getAllValuesOfpackageableElement(DeploymentTargetDeployedElementMatch partialMatch)` Retrieve the set of values that occur in matches for packageableElement.
    `java.util.Set<org.eclipse.uml2.uml.DeploymentTarget>` | `getAllValuesOfself()` Retrieve the set of values that occur in matches for self.
    `java.util.Set<org.eclipse.uml2.uml.DeploymentTarget>` | `getAllValuesOfself(DeploymentTargetDeployedElementMatch partialMatch)` Retrieve the set of values that occur in matches for self.
    `java.util.Set<org.eclipse.uml2.uml.DeploymentTarget>` | `getAllValuesOfself(org.eclipse.uml2.uml.PackageableElement pPackageableElement)` Retrieve the set of values that occur in matches for self.
    `DeploymentTargetDeployedElementMatch` | `getOneArbitraryMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf, org.eclipse.uml2.uml.PackageableElement pPackageableElement)` Returns an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.
    `boolean` | `hasMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf, org.eclipse.uml2.uml.PackageableElement pPackageableElement)` Indicates whether the given combination of specified pattern parameters constitute a valid pattern match, under any possible substitution of the unspecified parameters (if any).
    `DeploymentTargetDeployedElementMatch` | `newMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf, org.eclipse.uml2.uml.PackageableElement pPackageableElement)` Returns a new (partial) match.
    `static DeploymentTargetDeployedElementMatcher` | `on(ViatraQueryEngine engine)` Initializes the pattern matcher within an existing VIATRA Query engine.
    `static IQuerySpecification<DeploymentTargetDeployedElementMatcher>` | `querySpecification()`
    `protected java.util.Set<org.eclipse.uml2.uml.PackageableElement>` | `rawAccumulateAllValuesOfpackageableElement(java.lang.Object[] parameters)` Retrieve the set of values that occur in matches for packageableElement.
    `protected java.util.Set<org.eclipse.uml2.uml.DeploymentTarget>` | `rawAccumulateAllValuesOfself(java.lang.Object[] parameters)` Retrieve the set of values that occur in matches for self.
    `protected DeploymentTargetDeployedElementMatch` | `tupleToMatch(Tuple t)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseMatcher

      `countMatches, countMatches, emptyArray, forEachMatch, forEachMatch, forOneArbitraryMatch, forOneArbitraryMatch, getAllMatches, getAllMatches, getAllValues, getAllValues, getCapabilities, getEngine, getOneArbitraryMatch, getOneArbitraryMatch, getParameterNames, getPatternName, getPositionOfParameter, getSpecification, hasMatch, matchToArray, newEmptyMatch, newMatch, rawAccumulateAllValues, rawCountMatches, rawForEachMatch, rawForOneArbitraryMatch, rawGetAllMatches, rawGetAllValues, rawGetOneArbitraryMatch, rawHasMatch, setBackend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### on

          public static DeploymentTargetDeployedElementMatcher on(ViatraQueryEngine engine)
                                                           throws ViatraQueryException

      Initializes the pattern matcher within an existing VIATRA Query engine. If the pattern matcher is already constructed in the engine, only a light-weight reference is returned. The match set will be incrementally refreshed upon updates.
      Parameters:
        `engine` - the existing VIATRA Query engine in which this matcher will be created.
      Throws:
        `ViatraQueryException` - if an error occurs during pattern matcher creation

    - #### create

          public static DeploymentTargetDeployedElementMatcher create()
                                                               throws ViatraQueryException

      Returns:
        an initialized matcher
      Throws:
        `ViatraQueryException` - if an error occurs during pattern matcher creation
      No Reference:
        This method is for internal matcher initialization by the framework, do not call it manually.

    - #### getAllMatches

          public java.util.Collection<DeploymentTargetDeployedElementMatch> getAllMatches(org.eclipse.uml2.uml.DeploymentTarget pSelf,
                                                                                          org.eclipse.uml2.uml.PackageableElement pPackageableElement)

      Returns the set of all matches of the pattern that conform to the given fixed values of some parameters.
      Parameters:
        `pSelf` - the fixed value of pattern parameter self, or null if not bound.
        `pPackageableElement` - the fixed value of pattern parameter packageableElement, or null if not bound.
      Returns:
        matches represented as a DeploymentTargetDeployedElementMatch object.

    - #### getOneArbitraryMatch

          public DeploymentTargetDeployedElementMatch getOneArbitraryMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf,
                                                                           org.eclipse.uml2.uml.PackageableElement pPackageableElement)

      Returns an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters. Neither determinism nor randomness of selection is guaranteed.
      Parameters:
        `pSelf` - the fixed value of pattern parameter self, or null if not bound.
        `pPackageableElement` - the fixed value of pattern parameter packageableElement, or null if not bound.
      Returns:
        a match represented as a DeploymentTargetDeployedElementMatch object, or null if no match is found.

    - #### hasMatch

          public boolean hasMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf,
                                  org.eclipse.uml2.uml.PackageableElement pPackageableElement)

      Indicates whether the given combination of specified pattern parameters constitute a valid pattern match, under any possible substitution of the unspecified parameters (if any).
      Parameters:
        `pSelf` - the fixed value of pattern parameter self, or null if not bound.
        `pPackageableElement` - the fixed value of pattern parameter packageableElement, or null if not bound.
      Returns:
        true if the input is a valid (partial) match of the pattern.

    - #### countMatches

          public int countMatches(org.eclipse.uml2.uml.DeploymentTarget pSelf,
                                  org.eclipse.uml2.uml.PackageableElement pPackageableElement)

      Returns the number of all matches of the pattern that conform to the given fixed values of some parameters.
      Parameters:
        `pSelf` - the fixed value of pattern parameter self, or null if not bound.
        `pPackageableElement` - the fixed value of pattern parameter packageableElement, or null if not bound.
      Returns:
        the number of pattern matches found.

    - #### forEachMatch

          public void forEachMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf,
                                   org.eclipse.uml2.uml.PackageableElement pPackageableElement,
                                   IMatchProcessor<? super DeploymentTargetDeployedElementMatch> processor)

      Executes the given processor on each match of the pattern that conforms to the given fixed values of some parameters.
      Parameters:
        `pSelf` - the fixed value of pattern parameter self, or null if not bound.
        `pPackageableElement` - the fixed value of pattern parameter packageableElement, or null if not bound.
        `processor` - the action that will process each pattern match.

    - #### forOneArbitraryMatch

          public boolean forOneArbitraryMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf,
                                              org.eclipse.uml2.uml.PackageableElement pPackageableElement,
                                              IMatchProcessor<? super DeploymentTargetDeployedElementMatch> processor)

      Executes the given processor on an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters. Neither determinism nor randomness of selection is guaranteed.
      Parameters:
        `pSelf` - the fixed value of pattern parameter self, or null if not bound.
        `pPackageableElement` - the fixed value of pattern parameter packageableElement, or null if not bound.
        `processor` - the action that will process the selected match.
      Returns:
        true if the pattern has at least one match with the given parameter values, false if the processor was not invoked

    - #### newMatch

          public DeploymentTargetDeployedElementMatch newMatch(org.eclipse.uml2.uml.DeploymentTarget pSelf,
                                                               org.eclipse.uml2.uml.PackageableElement pPackageableElement)

      Returns a new (partial) match. This can be used e.g. to call the matcher with a partial match.

      The returned match will be immutable. Use `BaseMatcher.newEmptyMatch()` to obtain a mutable match object.

      Parameters:
        `pSelf` - the fixed value of pattern parameter self, or null if not bound.
        `pPackageableElement` - the fixed value of pattern parameter packageableElement, or null if not bound.
      Returns:
        the (partial) match object.

    - #### rawAccumulateAllValuesOfself

          protected java.util.Set<org.eclipse.uml2.uml.DeploymentTarget> rawAccumulateAllValuesOfself(java.lang.Object[] parameters)

      Retrieve the set of values that occur in matches for self.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfself

          public java.util.Set<org.eclipse.uml2.uml.DeploymentTarget> getAllValuesOfself()

      Retrieve the set of values that occur in matches for self.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfself

          public java.util.Set<org.eclipse.uml2.uml.DeploymentTarget> getAllValuesOfself(DeploymentTargetDeployedElementMatch partialMatch)

      Retrieve the set of values that occur in matches for self.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfself

          public java.util.Set<org.eclipse.uml2.uml.DeploymentTarget> getAllValuesOfself(org.eclipse.uml2.uml.PackageableElement pPackageableElement)

      Retrieve the set of values that occur in matches for self.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### rawAccumulateAllValuesOfpackageableElement

          protected java.util.Set<org.eclipse.uml2.uml.PackageableElement> rawAccumulateAllValuesOfpackageableElement(java.lang.Object[] parameters)

      Retrieve the set of values that occur in matches for packageableElement.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfpackageableElement

          public java.util.Set<org.eclipse.uml2.uml.PackageableElement> getAllValuesOfpackageableElement()

      Retrieve the set of values that occur in matches for packageableElement.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfpackageableElement

          public java.util.Set<org.eclipse.uml2.uml.PackageableElement> getAllValuesOfpackageableElement(DeploymentTargetDeployedElementMatch partialMatch)

      Retrieve the set of values that occur in matches for packageableElement.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfpackageableElement

          public java.util.Set<org.eclipse.uml2.uml.PackageableElement> getAllValuesOfpackageableElement(org.eclipse.uml2.uml.DeploymentTarget pSelf)

      Retrieve the set of values that occur in matches for packageableElement.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### tupleToMatch

          protected DeploymentTargetDeployedElementMatch tupleToMatch(Tuple t)

      Specified by:
        `tupleToMatch` in class `BaseMatcher<DeploymentTargetDeployedElementMatch>`

    - #### arrayToMatch

          protected DeploymentTargetDeployedElementMatch arrayToMatch(java.lang.Object[] match)

      Description copied from class: `BaseMatcher`
      Converts the array representation of a pattern match to an immutable Match object.
      Specified by:
        `arrayToMatch` in class `BaseMatcher<DeploymentTargetDeployedElementMatch>`

    - #### arrayToMatchMutable

          protected DeploymentTargetDeployedElementMatch arrayToMatchMutable(java.lang.Object[] match)

      Description copied from class: `BaseMatcher`
      Converts the array representation of a pattern match to a mutable Match object.
      Specified by:
        `arrayToMatchMutable` in class `BaseMatcher<DeploymentTargetDeployedElementMatch>`

    - #### querySpecification

          public static IQuerySpecification<DeploymentTargetDeployedElementMatcher> querySpecification()
                                                                                                throws ViatraQueryException

      Returns:
        the singleton instance of the query specification of this pattern
      Throws:
        `ViatraQueryException` - if the pattern definition could not be loaded